--- configure.orig	2022-03-28 21:51:09.000000000 +0800
+++ configure	2022-11-18 16:09:16.000000000 +0800
@@ -14169,6 +14169,8 @@
     natdynlink=true ;; #(
   x86_64-*-darwin*) :
     natdynlink=true ;; #(
+  powerpc*-*-darwin*) :
+    natdynlink=true ;; #(
   s390x*-*-linux*) :
     natdynlink=true ;; #(
   powerpc*-*-linux*) :
@@ -14388,6 +14390,12 @@
     arch=arm64; system=macosx ;; #(
   x86_64-*-darwin*) :
     arch=amd64; system=macosx ;; #(
+  powerpc*-*-darwin*) :
+    arch=power; if $arch64; then :
+  model=ppc64
+    else
+  model=ppc
+    fi; system=rhapsody ;; #(
   x86_64-*-mingw32) :
     arch=amd64; system=mingw64 ;; #(
   aarch64-*-linux*) :
@@ -14524,6 +14532,10 @@
   case "$arch,$cc_basename,$system,$model" in #(
   amd64,*gcc*,macosx,*) :
     PACKLD_FLAGS=' -arch x86_64' ;; #(
+  power,*gcc*,rhapsody,ppc) :
+    PACKLD_FLAGS=' -arch ppc' ;; #(
+  power,*gcc*,rhapsody,ppc64) :
+    PACKLD_FLAGS=' -arch ppc64' ;; #(
   power,*gcc*,elf,ppc) :
     PACKLD_FLAGS=' -m elf32ppclinux' ;; #(
   power,*gcc*,elf,ppc64) :
@@ -14622,6 +14634,15 @@
   *-*-darwin*,clang-*) :
     default_as="$default_as -Wno-trigraphs"
     default_aspp="$default_as" ;; #(
+  powerpc*-*-darwin*,gcc-*) :
+    case $model in #(
+  ppc64) :
+    default_as="$default_as -m64"
+        default_aspp="$default_as -m64 -c" ;; #(
+  ppc) :
+    default_as="$default_as"
+        default_aspp="$default_as -m32 -c" ;; #(
+esac ;; #(
   *) :
      ;;
 esac
@@ -16654,7 +16675,7 @@
 $as_echo_n "checking whether stack overflows can be detected... " >&6; }
 
 case $arch,$system in #(
-  i386,linux_elf|amd64,linux|amd64,macosx \
+  i386,linux_elf|amd64,linux|amd64,macosx|power,rhapsody \
     |amd64,openbsd|i386,bsd_elf|arm64,linux|arm64,macosx) :
     $as_echo "#define HAS_STACK_OVERFLOW_DETECTION 1" >>confdefs.h
 
